#pragma once
#include "pch.h"

static int awqs = 0;
//µ¥¸ö×Ö·û½âÃÜ
char CutcodeChar(char c, int key, int key2) {
    awqs++;
    char a = (((c - 1) ^ key) ^ key2) - key;
    return a;
}

//½âÃÜ
void Cutecode(char* pstr, int* pkey) {
    int len = strlen(pstr);
    for (int i = 0; i < len; i++)
        *(pstr + i) = CutcodeChar(*(pstr + i), pkey[i % 5], pkey[(i + 18) % 5]);
}